Authenticates a Specific Mandate
POST
Bearerheader
Authorization<token>JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
mandateId*stringauthenticationType?stringValue in
"REALTIME""DELAYED""DELAYED_WITHOUT_AUTH"X-Forwarded-For?stringOK
application/json- response
[index: integer]?curl -X POST 'https://www.api.revio.co.za/v2/mandate/debicheck/string/auth'Example Response200
[ { "referenceNumber": "string", "authenticationReference": "string", "trackingPeriod": 0, "initiationDate": "2019-08-24T14:15:22Z", "authenticationDate": "2019-08-24T14:15:22Z", "valueType": "FIXED", "debitSequence": "FRST", "allowDateAdjustment": true, "maxAmountCents": 0, "adjustmentCategory": "NEVER", "adjustmentAmountCents": 0, "adjustmentRate": 0, "lastSuccessfulAuditId": "6becd09f-827b-41d1-867d-0144f4552ab4", "authenticationType": "REALTIME", "realtimeAuthRetries": 0, "doDelayedOnAuthFailure": true, "fallbackAuthenticationType": "REALTIME", "overrideCreditorName": "string", "firstCollectionDate": "2019-08-24T14:15:22Z", "firstCollectionAmountCents": 0, "id": "string", "externalReference": "string", "profileCode": "string", "abbreviatedName": "string", "contractReference": "string", "debtor": { "accountNumber": "string", "accountType": "CURRENT", "bank": "string", "branchCode": "string", "firstName": "string", "lastName": "string", "identification": { "emailAddress": "string", "idNumber": "string", "phoneNumber": "string", "passportNumber": "string" } }, "creditor": { "accountNumber": "string", "accountType": "CURRENT", "branchCode": "string", "name": "string", "bank": "string", "phoneNumber": "string", "emailAddress": "string", "idNumber": "string" }, "state": "NEW", "releaseDate": "2019-08-24T14:15:22Z", "frequency": "MONTHLY", "entryClass": "string", "collectionDay": 0, "amountCents": 0, "ultimateCreditor": { "accountNumber": "string", "accountType": "CURRENT", "branchCode": "string", "name": "string", "bank": "string", "phoneNumber": "string", "emailAddress": "string", "idNumber": "string" }, "currency": "string", "autoCollect": true, "verifyAccount": true, "validateAccount": true, "createdAt": "2019-08-24T14:15:22Z", "clientId": "string", "bulkUploadId": "42e0fc60-487e-4aa1-9223-1fd9ecaeff6a" }]